/*
*更新t_qing_preset_pkg_record中的fname字段
*当前fname存储的是预置文件所在位置的直接父目录名称
*需要将fname修改为预置文件所在的路径
*路径不包含固定前缀 com/kingdee/bos/qing/configuration/preset/
*/

/*地图相关*/
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/anhui/' WHERE fname = 'anhui';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/aomen/' WHERE fname = 'aomen';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/beijing/' WHERE fname = 'beijing';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/china_map_20200427/' WHERE fname = 'china_map_20200427';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/chongqing/' WHERE fname = 'chongqing';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/fujiang/' WHERE fname = 'fujiang';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/gansu/' WHERE fname = 'gansu';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/guangdong/' WHERE fname = 'guangdong';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/guangxi/' WHERE fname = 'guangxi';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/guizhou/' WHERE fname = 'guizhou';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/hainan/' WHERE fname = 'hainan';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/hebei/' WHERE fname = 'hebei';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/heilongjiang/' WHERE fname = 'heilongjiang';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/henan/' WHERE fname = 'henan';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/hongkong/' WHERE fname = 'hongkong';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/hubei/' WHERE fname = 'hubei';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/hunan/' WHERE fname = 'hunan';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/jiangsu/' WHERE fname = 'jiangsu';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/jiangxi/' WHERE fname = 'jiangxi';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/jilin/' WHERE fname = 'jilin';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/liaoning/' WHERE fname = 'liaoning';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/neimeng/' WHERE fname = 'neimeng';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/ningxia/' WHERE fname = 'ningxia';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/qinghai/' WHERE fname = 'qinghai';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/shandong/' WHERE fname = 'shandong';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/shanghai/' WHERE fname = 'shanghai';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/shanxi/' WHERE fname = 'shanxi';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/shanxiprcvince/' WHERE fname = 'shanxiprcvince';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/sichuan/' WHERE fname = 'sichuan';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/taiwan/' WHERE fname = 'taiwan';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/tianjin/' WHERE fname = 'tianjin';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/xinjiang/' WHERE fname = 'xinjiang';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/xizang/' WHERE fname = 'xizang';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/yunnan/' WHERE fname = 'yunnan';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/map/zhejiang/' WHERE fname = 'zhejiang';

/*字体相关*/
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'common/font/single/' WHERE fname = 'single';

/*嵌入式相关*/
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/cim/'
WHERE fname = 'cimandgm' and (ffilename in ('deposit.qing-pkg', 'finbalance.qing-pkg', 'finplanrevenue.qing-pkg', 'noticedeposit.qing-pkg'));

UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/gm/'
WHERE fname = 'cimandgm' and (ffilename in ('guaranteecontract.qing-pkg', 'letterofguarantee.qing-pkg', 'receiveletter.qing-pkg'));

UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/mrm/' WHERE fname = 'mrm_card';

UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/arap/' WHERE fname = 'arap';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/bank/' WHERE fname = 'bank';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/bankacct/' WHERE fname = 'bankacct';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/cash/' WHERE fname = 'cash';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/ccr/' WHERE fname = 'ccr';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/credit/' WHERE fname = 'credit';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/finance/' WHERE fname = 'finance';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/gm/' WHERE fname = 'gm';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/interloan/' WHERE fname = 'interloan';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/invest/' WHERE fname = 'invest';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/liquidity/' WHERE fname = 'liquidity';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/note/' WHERE fname = 'note';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/settle/' WHERE fname = 'settle';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/embedded/tmc/tda/synthesis/' WHERE fname = 'synthesis';

/*主题式相关*/
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/ai/cvp/' WHERE fname = 'cvp';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/ec/ec/' WHERE fname = 'ec';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/ec/repc/' WHERE fname = 'repc';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/fi/som/' WHERE fname = 'ssc';

UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/pur/pmm/'
WHERE fname = 'pur' and ffilename in ('pmm-operate.qing-pkg');

UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/pur/src/'
WHERE fname = 'pur' and ffilename in ('src-ybp.qing-pkg');

UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/pur/srm/'
WHERE fname = 'pur' and ffilename in ('srm.qing-pkg');

UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/scmc/scmdi/' WHERE fname = 'scmdi';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/tmc/mrm/' WHERE fname = 'mrm_dashboard';
UPDATE t_qing_preset_pkg_record tqppr SET fname = 'cosmic/qing/pkg/tmc/tda/' WHERE fname = 'broad';
